// lib/Button.tsx
import { useState } from "react";

// esbuild-css-modules-plugin-namespace:/var/folders/7r/ly58227x3xg33gtf6cn_cvs40000gr/T/tmp-14361-UIF5HxGlt76U/ae-react/lib/Button.module.css.js
var digest = "09794ccf683b9adfbbea57fa18cad692c11edca488dc991f168d08f89deb3e6d";
var css = `._button_1htbf_1 {
  border-radius: 8px;
  border: 1px solid transparent;
  padding: 0.6em 1.2em;
  font-size: 1em;
  font-weight: 500;
  font-family: inherit;
  background-color: #1a1a1a;
  cursor: pointer;
  transition: border-color 0.25s;
  font-family: Inter, system-ui, Avenir, Helvetica, Arial, sans-serif;
  line-height: 1.5;
  font-weight: 400;

  color-scheme: dark;
  color: rgba(255, 255, 255, 0.87);
  background-color: #242424;

  font-synthesis: none;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: 100%;
}
._button_1htbf_1:hover {
  border-color: #646cff;
}
._button_1htbf_1:focus,
._button_1htbf_1:focus-visible {
  outline: 4px auto -webkit-focus-ring-color;
}

._primary_1htbf_33 {
  background-color: #646cff;
  color: #fff;
  border-color: #646cff;
}
._primary_1htbf_33:hover {
  background-color: #4f4fff;
  border-color: #4f4fff;
}

._secondary_1htbf_43 {
  background-color: #f2f2f2;
  color: #1a1a1a;
  border-color: #f2f2f2;
}
._secondary_1htbf_43:hover {
  background-color: #e6e6e6;
  border-color: #e6e6e6;
}

._small_1htbf_53 {
  padding: 0.4em 0.8em;
  font-size: 0.8em;
}

._medium_1htbf_58 {
  padding: 0.6em 1.2em;
  font-size: 1em;
}

._large_1htbf_63 {
  padding: 0.8em 1.6em;
  font-size: 1.2em;
}
`;
(function() {
  if (typeof document === "undefined") {
    return;
  }
  if (!document.getElementById(digest)) {
    var el = document.createElement("style");
    el.id = digest;
    el.textContent = css;
    document.head.appendChild(el);
  }
})();
var Button_module_css_default = { "button": "_button_1htbf_1", "primary": "_primary_1htbf_33", "secondary": "_secondary_1htbf_43", "small": "_small_1htbf_53", "medium": "_medium_1htbf_58", "large": "_large_1htbf_63" };

// lib/Button.tsx
import { jsxs } from "react/jsx-runtime";
function Button({ type, size }) {
  let [count, setCount] = useState(0);
  return /* @__PURE__ */ jsxs(
    "button",
    {
      onClick: () => setCount((count2) => count2 + 1),
      className: Button_module_css_default.button + " " + (type === "secondary" ? Button_module_css_default.secondary : Button_module_css_default.primary) + " " + (size === "small" ? Button_module_css_default.small : size === "medium" ? Button_module_css_default.medium : Button_module_css_default.large),
      children: [
        "Count is ",
        count
      ]
    }
  );
}
export {
  Button
};
